unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Gauges;

type
  TStartMenu = class(TForm)
    label1: TLabel;
    label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    YearEdit: TEdit;
    OK: TButton;
    quit: TButton;
    default: TButton;
    displaykc: TCheckBox;
    birth: TLabel;
    ver: TLabel;
    addyear: TButton;
    minusyear: TButton;
    add5: TButton;
    minus5: TButton;
    add10: TButton;
    minus10: TButton;
    add50: TButton;
    minus50: TButton;
    add100: TButton;
    minus100: TButton;
    add500: TButton;
    minus500: TButton;
    procedure setdef(Sender: TObject);
    procedure close(Sender: TObject);
    procedure createcalendar(Sender: TObject);
    procedure previous(Sender: TObject);
    procedure shown(Sender: TObject);
    procedure altkc(Sender: TObject);
    procedure addyearClick(Sender: TObject);
    procedure minusyearClick(Sender: TObject);
    procedure add5Click(Sender: TObject);
    procedure minus5Click(Sender: TObject);
    procedure add10Click(Sender: TObject);
    procedure minus10Click(Sender: TObject);
    procedure add50Click(Sender: TObject);
    procedure minus50Click(Sender: TObject);
    procedure add100Click(Sender: TObject);
    procedure minus100Click(Sender: TObject);
    procedure add500Click(Sender: TObject);
    procedure minus500Click(Sender: TObject);
    procedure stop(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  StartMenu: TStartMenu;

implementation

uses
    day,maths87,unit2,unit11,unit13,unit12,unit10,unit16,unit14, Unit19;

{$R *.DFM}

{set to system year}
procedure TStartMenu.setdef(Sender: TObject);
var
   year,month,day:word;
   k:string;
begin
     decodedate(date,year,month,day);
     str(year,k);
     YearEdit.text:=k
end;

{quit the application}
procedure TStartMenu.close(Sender: TObject);
var
   s:string;
   i:integer;
begin
     deltemp;
     application.terminate;
end;

{Main Component Start}
procedure TStartMenu.createcalendar(Sender: TObject);
begin
     {Create Calendar}
     screen.cursor:=crHourGlass;
     year_default:=_val1(yearedit.text);
     if (year_default<-103) or (year_default>4000) then
     begin
          wrong.messages.caption:='J~-103~4000~.';
          wrong.show;
          MessageBeep(MB_ICONEXCLAMATION)
     end
     else
     begin
          if year_default>=1843 then FirstMenu._outholiday.enabled:=true
             else FirstMenu._outholiday.enabled:=false;
          wait.show;
          cal;
          screen.cursor:=crdefault;
          wait.hide;
          StartMenu.hide;
          FirstMenu.show;
     end;
end;


procedure TStartMenu.previous(Sender: TObject);
var
   k:string;
begin
     str(year_default,k);
     YearEdit.text:=k;
     kc:=StartMenu.displaykc.checked;
end;

procedure TStartMenu.shown(Sender: TObject);
var
   year,month,day:word;
   k:string;
   f:textfile;
begin
     decodedate(date,year,month,day);
     str(year,k);
     YearEdit.text:=k;
     year_default:=year;
     StartMenu.ver.caption:=version;
     StartMenu.birth.caption:=birthday;
     StartMenu.Caption:='AΤ䴫'+version;
     //assignfile(f,'lunarcw.ini');
     //reset(f);
     //readln(f,defaultdir);
     //defaultdir:='c:\windows\temp\';
     defaultdir:='';
     //closefile(f);
end;

procedure TStartMenu.altkc(Sender: TObject);
begin
     kc:=StartMenu.displaykc.checked;
end;

procedure TStartMenu.addyearClick(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s+1;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.minusyearClick(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s-1;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.add5Click(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s+5;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.minus5Click(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s-5;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.add10Click(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s+10;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.minus10Click(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s-10;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.add50Click(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s+50;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.minus50Click(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s-50;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.add100Click(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s+100;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.minus100Click(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s-100;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.add500Click(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s+500;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.minus500Click(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(startmenu.yearedit.text);
     s:=s-500;
     startmenu.yearedit.text:=_str1(s);
end;

procedure TStartMenu.stop(Sender: TObject; var Action: TCloseAction);
begin
     deltemp;
     application.terminate;
end;

end.
