unit Unit14;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, Dialogs, ExtCtrls;

type
  TConfirmPrint = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    PrinterSetupDialog: TPrinterSetupDialog;
    Label1: TLabel;
    procedure HelpBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure shown(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ConfirmPrint: TConfirmPrint;

implementation

{$R *.DFM}
uses
    day;

procedure TConfirmPrint.HelpBtnClick(Sender: TObject);
begin
     PrinterSetupDialog.Execute;
end;

procedure TConfirmPrint.OKBtnClick(Sender: TObject);
begin
     ppp:=true;
     ConfirmPrint.Hide;
end;

procedure TConfirmPrint.CancelBtnClick(Sender: TObject);
begin
     ppp:=false;
     ConfirmPrint.Hide;
end;

procedure TConfirmPrint.shown(Sender: TObject);
begin
     ppp:=false;
end;

end.
