unit Unit2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Grids, Menus, ColMemo;

type
  TFirstMenu = class(TForm)
    MainMenu1: TMainMenu;
    convert: TMenuItem;
    display: TMenuItem;
    out: TMenuItem;
    quit: TMenuItem;
    _help: TMenuItem;
    _ltos: TMenuItem;
    _stol: TMenuItem;
    _kcdto: TMenuItem;
    _ytokcy: TMenuItem;
    _kcyto: TMenuItem;
    _outmonth: TMenuItem;
    _outlunmonth: TMenuItem;
    _outweather: TMenuItem;
    _outphase: TMenuItem;
    _outholiday: TMenuItem;
    _outhktime: TMenuItem;
    lorf1: TLabel;
    lorf2: TLabel;
    syear: TLabel;
    lyear: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    sno: TLabel;
    lno: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    perihelion: TLabel;
    aphelion: TLabel;
    delt: TLabel;
    _Return: TMenuItem;
    _exit: TMenuItem;
    SaveDialog: TSaveDialog;
    _printhktime: TMenuItem;
    _newrule: TMenuItem;
    _lunrule: TMenuItem;
    _timerule: TMenuItem;
    _about: TMenuItem;
    Memo2: TMemo;
    _next: TMenuItem;
    _minus: TMenuItem;
    Label1: TLabel;
    ft: TEdit;
    Memo: TColorMemo;
    procedure _exitClick(Sender: TObject);
    procedure _ReturnClick(Sender: TObject);
    procedure _ltosClick(Sender: TObject);
    procedure _stolClick(Sender: TObject);
    procedure _kcdtoClick(Sender: TObject);
    procedure _ytokcyClick(Sender: TObject);
    procedure _kcytoClick(Sender: TObject);
    procedure _outmonthClick(Sender: TObject);
    procedure _outlunmonthClick(Sender: TObject);
    procedure _outweatherClick(Sender: TObject);
    procedure _outphaseClick(Sender: TObject);
    procedure _outholidayClick(Sender: TObject);
    procedure _outhktimeClick(Sender: TObject);
    procedure _printhktimeClick(Sender: TObject);
    procedure shown(Sender: TObject);
    procedure _aboutClick(Sender: TObject);
    procedure _newruleClick(Sender: TObject);
    procedure _lunruleClick(Sender: TObject);
    procedure _timeruleClick(Sender: TObject);
    procedure _minusClick(Sender: TObject);
    procedure _nextClick(Sender: TObject);
    procedure stop(Sender: TObject; var Action: TCloseAction);
    procedure kk(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FirstMenu: TFirstMenu;

implementation

{$R *.DFM}
uses unit1,unit3,unit4,unit5,unit6,unit7,unit8,
     unit9,unit10,unit11,unit12,unit13,unit14,day,
     Printers, Unit15, Unit17, Unit18, Unit19;

procedure TFirstMenu._exitClick(Sender: TObject);
var
   i:integer;
   s:string;
begin
     deltemp;
     application.terminate;
end;

procedure TFirstMenu._ReturnClick(Sender: TObject);
var
   i:integer;
   s:string;
begin
     deltemp;
     ltos.hide;
     stol.hide;
     ytokcy.hide;
     kcdto.hide;
     kcyto.hide;
     outmonth.hide;
     outlunmonth.hide;
     outweather.hide;
     outphase.hide;
     outholiday.hide;
     FirstMenu.hide;
     StartMenu.Show;
end;

procedure TFirstMenu._ltosClick(Sender: TObject);
begin
     ltos.show;
end;

procedure TFirstMenu._stolClick(Sender: TObject);
begin
     stol.show;
end;

procedure TFirstMenu._kcdtoClick(Sender: TObject);
begin
     kcdto.show;
end;

procedure TFirstMenu._ytokcyClick(Sender: TObject);
begin
     ytokcy.show;
end;

procedure TFirstMenu._kcytoClick(Sender: TObject);
begin
     kcyto.show;
end;

procedure TFirstMenu._outmonthClick(Sender: TObject);
begin
     outmonth.show;
end;

procedure TFirstMenu._outlunmonthClick(Sender: TObject);
begin
     outlunmonth.show;
end;

procedure TFirstMenu._outweatherClick(Sender: TObject);
begin
     outweather.show;
end;

procedure TFirstMenu._outphaseClick(Sender: TObject);
begin
     outphase.show;
end;

procedure TFirstMenu._outholidayClick(Sender: TObject);
begin
     outholiday.show;
end;

procedure TFirstMenu._outhktimeClick(Sender: TObject);
var
   f:textfile;
   fname,gname:string;
   i,j:integer;

begin
     FirstMenu.SaveDialog.Filename:='';
     FirstMenu.SaveDialog.execute;
     fname:=FirstMenu.SaveDialog.Filename;
     if fname<>'' then
     begin
          screen.cursor:=crHourGlass;
          assignfile(f,fname);
          rewrite(f);
          { X }
          if year_default>0 then write(f,' ',year_default:4,' ~')
             else write(f,'e ',abs(year_default-1):4,' ~');
          if year_default<=1582 then
             if year_default mod 4=0 then writeln(f,']|~^@ 366 .')
             else writeln(f,']~^@ 365 .')
          else
          if (year_default mod 4=0) and (year_default mod 100<>0) then writeln(f,']|~^@ 366 .')
             else
             if year_default mod 400=0 then writeln(f,']|~^@ 366 .')
                else writeln(f,']~^@ 365 .');
          write(f,'A ',_tin(tin_default),_dey(dey_default),' ~');
          if total_year>360 then write(f,' (',_name_month(name_leap+100),')') else write(f,']~^');
          writeln(f,'@ ',total_year,' .');
          writeln(f);
          for i:=0 to num_month do writeln(f,FirstMenu.memo.lines[i]);
          writeln(f);
          for i:=0 to 24 do writeln(f,outphase.memo.lines[i]);
          writeln(f);
          for i:=0 to 24 do writeln(f,outweather.memo.lines[i]);
          writeln(f);
          for i:=1 to 12 do
          begin
               gname:=defaultdir+'~m'+_str1(i)+'.tmp';
               outmonth.memo.lines.loadfromfile(gname);
               for j:=0 to 24 do writeln(f,outmonth.memo.lines[j]);
          end;
          if year_default>=1843 then
          begin
               i:=-1;
               repeat
                     i:=i+1;
                     writeln(f,outholiday.memo.lines[i]);
               until copy(outholiday.memo.lines[i],0,6)='pi';
          end;
          closefile(f);
          screen.cursor:=crDefault;
     end;
end;

procedure TFirstMenu._printhktimeClick(Sender: TObject);
var
   f:textfile;
   i,j:integer;
   gname:string;
begin
     ConfirmPrint.ShowModal;
     if ppp then
     begin
          screen.cursor:=crHourGlass;
          AssignPrn(f);
          rewrite(f);
          Printer.Canvas.Font.Name:='Courier New';
          val(FirstMenu.ft.text,i,j);
          Printer.Canvas.Font.Size:=i;
          { X }
          if year_default>0 then write(f,' ',year_default:4,' ~')
             else write(f,'e ',abs(year_default-1):4,' ~');
          if year_default<=1582 then
             if year_default mod 4=0 then writeln(f,' (|~) @ 366 .')
             else writeln(f,' (~) @ 365 .')
          else
          if (year_default mod 4=0) and (year_default mod 100<>0) then writeln(f,' (|~) @ 366 .')
             else
             if year_default mod 400=0 then writeln(f,' (|~) @ 366 .')
                else writeln(f,' (~) @ 365 .');
          write(f,'A ',_tin(tin_default),_dey(dey_default),' ~');
          if total_year>360 then write(f,' (',_name_month(name_leap+100),')') else write(f,' (~)');
          writeln(f,' @ ',total_year,' .');
          writeln(f);
          for i:=0 to num_month do writeln(f,FirstMenu.memo.lines[i]);
          writeln(f);
          for i:=0 to 24 do writeln(f,outphase.memo.lines[i]);
          writeln(f);
          for i:=0 to 24 do writeln(f,outweather.memo.lines[i]);
          writeln(f);
          for i:=1 to 12 do
          begin
               gname:='~m'+_str1(i)+'.tmp';
               outmonth.memo.lines.loadfromfile(gname);
               for j:=0 to 24 do writeln(f,outmonth.memo.lines[j]);
          end;
          if year_default>=1843 then
          begin
               i:=-1;
               repeat
                     i:=i+1;
                     writeln(f,outholiday.memo.lines[i]);
               until copy(outholiday.memo.lines[i],0,6)='pi';
          end;
          closefile(f);
          ppp:=false;
          screen.cursor:=crDefault;
     end;
end;

procedure TFirstMenu.shown(Sender: TObject);
begin
     FirstMenu.Caption:='AΤ䴫'+version;
end;

procedure TFirstMenu._aboutClick(Sender: TObject);
begin
     AboutBox.birth.caption:=birthday;
     AboutBox.Ver.caption:=version;
     Aboutbox.show;
     MessageBeep(MB_ICONASTERISK);
end;

procedure TFirstMenu._newruleClick(Sender: TObject);
begin
     newrule.show;
     MessageBeep(MB_ICONASTERISK);
end;

procedure TFirstMenu._lunruleClick(Sender: TObject);
begin
     lunrule.show;
     MessageBeep(MB_ICONASTERISK);
end;

procedure TFirstMenu._timeruleClick(Sender: TObject);
begin
     timerule.show;
     MessageBeep(MB_ICONASTERISK);
end;

procedure TFirstMenu._minusClick(Sender: TObject);
begin
     screen.cursor:=crHourGlass;
     ltos.hide;
     stol.hide;
     ytokcy.hide;
     kcdto.hide;
     kcyto.hide;
     outmonth.hide;
     outlunmonth.hide;
     outweather.hide;
     outphase.hide;
     outholiday.hide;
     deltemp;
     year_default:=year_default-1;
     wait.show;
     cal;
     wait.hide;
     screen.cursor:=crDefault;
end;

procedure TFirstMenu._nextClick(Sender: TObject);
begin
     screen.cursor:=crHourGlass;
     ltos.hide;
     stol.hide;
     ytokcy.hide;
     kcdto.hide;
     kcyto.hide;
     outmonth.hide;
     outlunmonth.hide;
     outweather.hide;
     outphase.hide;
     outholiday.hide;
     deltemp;
     year_default:=year_default+1;
     wait.show;
     cal;
     wait.hide;
     screen.cursor:=crDefault;
end;

procedure TFirstMenu.stop(Sender: TObject; var Action: TCloseAction);
begin
     deltemp;
     application.terminate;
end;

procedure TFirstMenu.kk(Sender: TObject);
var
   f,f1:integer;
begin
     val(firstmenu.ft.text,f,f1);
     if f=0 then
        firstmenu.ft.text:='12';
end;


end.
