unit Unit6;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  Tytokcy = class(TForm)
    Label1: TLabel;
    yearedit: TEdit;
    kcy: TLabel;
    convert: TButton;
    quit: TButton;
    procedure quitClick(Sender: TObject);
    procedure convertClick(Sender: TObject);
    procedure defaultyear(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ytokcy: Tytokcy;

implementation

{$R *.DFM}

uses
    unit16,day;

procedure Tytokcy.quitClick(Sender: TObject);
begin
     ytokcy.hide;
end;

procedure Tytokcy.convertClick(Sender: TObject);
var
   year,tin,dey:integer;
   s:string;
begin
     year:=_val1(ytokcy.yearedit.text);
     if year<-2636 then
     begin
          wrong.messages.caption:='J~-2636~ΥH.';
          wrong.show;
     end
     else
     begin
          tin:=(year-1984) mod 10;
          dey:=(year-1984) mod 12;
          s:='';
          if year<=0 then s:=s+'e '+_str1(abs(year-1))
             else s:=s+' '+_str1(year);
          s:=s+' ~'+_tin(tin)+_dey(dey)+'~.';
          ytokcy.kcy.caption:=s;
     end;
end;

procedure Tytokcy.defaultyear(Sender: TObject);
begin
     ytokcy.yearedit.text:=_str1(year_default);
end;

end.
