unit Unit7;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  Tkcyto = class(TForm)
    tin: TComboBox;
    dey: TComboBox;
    Label1: TLabel;
    convert: TButton;
    quit: TButton;
    Label2: TLabel;
    year: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    yearedit: TEdit;
    Result1: TLabel;
    Result2: TLabel;
    procedure quitClick(Sender: TObject);
    procedure changetin(Sender: TObject);
    procedure changedey(Sender: TObject);
    procedure convertClick(Sender: TObject);
    procedure default(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  kcyto: Tkcyto;
  tinok,deyok:boolean;
  tin1,dey1:integer;

implementation

{$R *.DFM}

uses day,unit16;

procedure Tkcyto.quitClick(Sender: TObject);
begin
     kcyto.hide;
end;

procedure Tkcyto.changetin(Sender: TObject);
begin
     tinok:=true;
     tin1:=kcyto.tin.itemindex;
     if tinok and deyok then kcyto.convert.enabled:=true;
end;

procedure Tkcyto.changedey(Sender: TObject);
begin
     deyok:=true;
     dey1:=kcyto.dey.itemindex;
     if tinok and deyok then kcyto.convert.enabled:=true;
end;

procedure Tkcyto.convertClick(Sender: TObject);
var
   i,p,c,year:integer;
   s:string;
begin
     year:=_val1(kcyto.yearedit.text);
     if year<-2636 then
     begin
          wrong.messages.caption:='J~-2636~ΥH.';
          wrong.show;
          MessageBeep(MB_ICONEXCLAMATION)
     end
     else
     if odd(tin1+dey1) then
     begin
          wrong.messages.caption:='zզXäXk!';
          wrong.show;
          MessageBeep(MB_ICONEXCLAMATION)
     end
     else
     begin
          i:=tin1;
          while (i mod 12 <> dey1) do i:=i+10;
          p:=1984+i;
          repeat
                p:=p-60
          until p-60<-2636;
          c:=1;
          repeat
                if abs(p-year)<60 then
                begin
                     if p<=0 then s:=_str1(abs(p-1))+' BC'
                        else s:='AD '+_str1(p);
                     if c=1 then kcyto.result1.caption:=s
                        else kcyto.result2.caption:=s;
                     c:=c+1;
                end;
                p:=p+60;
          until c=3;
          kcyto.year.caption:=_tin(tin1)+_dey(dey1);
     end
end;

procedure Tkcyto.default(Sender: TObject);
begin
     kcyto.yearedit.text:=_str1(year_default);
end;

end.
