unit Unit9;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ColMemo, qrprntr, Buttons;

type
  Toutlunmonth = class(TForm)
    up: TButton;
    down: TButton;
    quit: TButton;
    print: TButton;
    Memo: TColorMemo;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    procedure start(Sender: TObject);
    procedure upClick(Sender: TObject);
    procedure downClick(Sender: TObject);
    procedure quitClick(Sender: TObject);
    procedure printClick(Sender: TObject);
    procedure kk(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  outlunmonth: Toutlunmonth;
  lm:integer;

implementation

{$R *.DFM}

uses
    day,printers,unit14;

procedure Toutlunmonth.start(Sender: TObject);
var
   s:string;
   i:integer;
begin
     s:=defaultdir+'~l1.tmp';
     outlunmonth.memo.lines.loadfromfile(s);
     outlunmonth.up.enabled:=false;
     outlunmonth.down.enabled:=true;
     str(outlunmonth.Memo.Font.size,s);
     outlunmonth.label1.caption:='rjpG'+s;
     i:=-1;
     repeat
           i:=i+1
     until name_month[i]=1;
     lm:=i;
end;

procedure Toutlunmonth.upClick(Sender: TObject);
var
   s:string;
begin
     lm:=lm-1;
     s:=defaultdir+'~l'+_str1(name_month[lm])+'.tmp';
     outlunmonth.memo.lines.loadfromfile(s);
     if name_month[lm]=1 then outlunmonth.up.enabled:=false;
     outlunmonth.down.enabled:=true;
end;

procedure Toutlunmonth.downClick(Sender: TObject);
var
   s:string;
begin
     lm:=lm+1;
     outlunmonth.up.enabled:=true;
     s:=defaultdir+'~l'+_str1(name_month[lm])+'.tmp';
     outlunmonth.memo.lines.loadfromfile(s);
     if name_month[lm+1]=1 then outlunmonth.down.enabled:=false;
end;

procedure Toutlunmonth.quitClick(Sender: TObject);
var
   i:integer;
begin
     i:=-1;
     repeat
           i:=i+1
     until name_month[i]=1;
     lm:=i;
     outlunmonth.hide;
end;

procedure Toutlunmonth.printClick(Sender: TObject);
var
   f:textfile;
   i:integer;
begin
     ConfirmPrint.ShowModal;
     if ppp then
     begin
          screen.cursor:=crHourGlass;
          assignprn(f);
          rewrite(f);
          Printer.Canvas.Font.Name:='Courier New';
          Printer.Canvas.Font.Size:=outlunmonth.memo.font.size;
          for i:=0 to 24 do writeln(f,outlunmonth.memo.lines[i]);
          closefile(f);
          ppp:=false;
          screen.cursor:=crDefault;
     end;
end;


procedure Toutlunmonth.kk(Sender: TObject);
var
   f:integer;
   s:string;
begin
     f:=Outlunmonth.memo.font.size;
     if f>1 then
     begin
        f:=f-1;
        Outlunmonth.memo.font.size:=f;
        str(f,s);
        outlunmonth.label1.caption:='rjpG'+s;
     end;
end;
procedure Toutlunmonth.BitBtn1Click(Sender: TObject);
var
   f:integer;
   s:string;
begin
     f:=Outlunmonth.memo.font.size;
     if f<72 then
     begin
        f:=f+1;
        Outlunmonth.memo.font.size:=f;
        str(f,s);
        outlunmonth.label1.caption:='rjpG'+s;
     end;
end;

end.
