unit Unit3;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Spin;

type
  Tltos = class(TForm)
    leap: TCheckBox;
    convert: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    quit: TButton;
    lun_kc: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    new_year: TLabel;
    new_month: TLabel;
    new_day: TLabel;
    new_weekday: TLabel;
    lun_year: TLabel;
    label10: TLabel;
    next: TButton;
    lun_month_edit: TEdit;
    lun_day_Edit: TEdit;
    Label9: TLabel;
    Label11: TLabel;
    addmonth: TButton;
    minusmonth: TButton;
    addday: TButton;
    minusday: TButton;
    procedure quitClick(Sender: TObject);
    procedure convertClick(Sender: TObject);
    procedure nextClick(Sender: TObject);
    procedure changemonth(Sender: TObject);
    procedure changeday(Sender: TObject);
    procedure leapClick(Sender: TObject);
    procedure addmonthClick(Sender: TObject);
    procedure minusmonthClick(Sender: TObject);
    procedure adddayClick(Sender: TObject);
    procedure minusdayClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ltos: Tltos;
  count:integer;

implementation

uses
    unit16,day;

    {$R *.DFM}

procedure Tltos.quitClick(Sender: TObject);
begin
     ltos.hide;
end;

procedure Tltos.convertClick(Sender: TObject);
var
   i:integer;
   mm,dd,y,m,d:integer;
   JD:extended;
   leap,found:boolean;
   s:string;

begin
     mm:=_val1(ltos.lun_month_edit.text);
     leap:=false;
     if ltos.leap.checked=true then
     begin
          mm:=mm+100;
          leap:=true;
     end
     else
     begin
          ltos.leap.hide
     end;
     dd:=_val1(ltos.lun_day_edit.text);
     i:=0;
     found:=false;
     repeat
         if (name_month[i]=mm) and (dd<=no_day[i]) then
         begin
              found:=true;
              count:=i+1;;
{              if leap then ltos.lun_year.font.color:=clred
                 else ltos.lun_year.font.color:=claqua;}
              JD:=lun_month[i]+dd-1;
              _invJD(JD,y,m,d);
              if ((mm mod 100>=10) and (m<3) and (y=year_default)) or (y<year_default) then
              begin
                   s:=_tin(tin_default-1)+_dey(dey_default-1);
              end
              else if (mm mod 100<=3) and (y>year_default) then
              begin
                   s:=_tin(tin_default+1)+_dey(dey_default+1);
              end
              else
              begin
                   s:=_tin(tin_default)+_dey(dey_default);
              end;
              s:=s+'~';
              ltos.lun_year.caption:=s;
              s:=_tin(round(JD-2449030.5) mod 10)+_dey(round(JD-2449030.5) mod 12);
              ltos.lun_kc.caption:=s;
{              if y=year_default then ltos.new_year.font.color:=cllime
                 else textcolor(2);}
              ltos.new_day.caption:=_str1(d)+' ';
              ltos.new_month.caption:=_str1(m)+' ';
              ltos.new_weekday.caption:=_dayofweek(JD);
              if y<=0 then ltos.new_year.caption:='e '+_str1(abs(y-1))+' ~'
                 else ltos.new_year.caption:=' '+_str1(y)+' ~';
         end;
         i:=i+1;
      until found or (i>num_month);
      if found then
      begin
           count:=i;
           ltos.next.enabled:=true;
      end
      else
      begin
           s:='sb';
           ltos.lun_kc.caption:=s;
           ltos.new_day.caption:=s;
           ltos.new_month.caption:=s;
           ltos.new_weekday.caption:=s;
           ltos.new_year.caption:=s;
           ltos.lun_year.caption:=_tin(tin_default)+_dey(dey_default)+'~';
           wrong.messages.caption:='Aäsb!';
           wrong.show;
           MessageBeep(MB_ICONEXCLAMATION)
      end;
end;

procedure Tltos.nextClick(Sender: TObject);
var
   i:integer;
   mm,dd,y,m,d:integer;
   JD:extended;
   leap,found:boolean;
   s:string;
begin
     mm:=_val1(ltos.lun_month_edit.text);
     leap:=false;
     if ltos.leap.checked=true then
     begin
          mm:=mm+100;
          leap:=true;
     end;
     dd:=_val1(ltos.lun_day_edit.text);
     i:=count;
     found:=false;
     repeat
         if (name_month[i]=mm) and (dd<=no_day[i]) then
         begin
              found:=true;
              count:=i+1;;
{              if leap then ltos.lun_year.font.color:=clred
                 else ltos.lun_year.font.color:=claqua;}
              JD:=lun_month[i]+dd-1;
              _invJD(JD,y,m,d);
              if ((mm mod 100>=10) and (m<3) and (y=year_default)) or (y<year_default) then
              begin
                   s:=_tin(tin_default-1)+_dey(dey_default-1);
              end
              else if (mm mod 100<=3) and (y>year_default) then
              begin
                   s:=_tin(tin_default+1)+_dey(dey_default+1);
              end
              else
              begin
                   s:=_tin(tin_default)+_dey(dey_default);
              end;
              s:=s+'~';
              ltos.lun_year.caption:=s;
              s:=_tin(round(JD-2449030.5) mod 10)+_dey(round(JD-2449030.5) mod 12);
              ltos.lun_kc.caption:=s;
{              if y=year_default then ltos.new_year.font.color:=cllime
                 else textcolor(2);}
              ltos.new_day.caption:=_str1(d)+' ';
              ltos.new_month.caption:=_str1(m)+' ';
              ltos.new_weekday.caption:=_dayofweek(JD);
              if y<=0 then ltos.new_year.caption:='e '+_str1(abs(y-1))+' ~'
                 else ltos.new_year.caption:=' '+_str1(y)+' ~';
         end;
         i:=i+1;
      until found or (i>num_month);
      ltos.next.enabled:=false;
end;

procedure Tltos.changemonth(Sender: TObject);
var
   i,mm:integer;
begin
     if (name_leap<>0) and (name_leap=_val1(ltos.lun_month_edit.text)) then
     begin
          ltos.leap.enabled:=true;
          ltos.leap.show;
     end
     else
     begin
          ltos.leap.checked:=false;
          ltos.leap.enabled:=false;
          ltos.leap.hide;
     end;
     ltos.next.enabled:=false;
end;

procedure Tltos.changeday(Sender: TObject);
var
   i:integer;
   mm:integer;
begin
     if (name_leap<>0) and (name_leap=_val1(ltos.lun_month_edit.text)) then
     begin
          ltos.leap.enabled:=true;
          ltos.leap.show;
     end
     else
     begin
          ltos.leap.checked:=false;
          ltos.leap.enabled:=false;
          ltos.leap.hide;
     end;
     ltos.next.enabled:=false;
end;

procedure Tltos.leapClick(Sender: TObject);
var
   i,mm:integer;
begin
     ltos.next.enabled:=false;
end;

procedure Tltos.addmonthClick(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(lun_month_edit.text);
     s:=s+1;
     if s=13 then s:=1;
     lun_month_edit.text:=_str1(s);
end;

procedure Tltos.minusmonthClick(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(lun_month_edit.text);
     s:=s-1;
     if s=0 then s:=12;
     lun_month_edit.text:=_str1(s);
end;

procedure Tltos.adddayClick(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(lun_day_edit.text);
     s:=s+1;
     if s=31 then s:=1;
     lun_day_edit.text:=_str1(s);
end;

procedure Tltos.minusdayClick(Sender: TObject);
var
   s:integer;
begin
     s:=_val1(lun_day_edit.text);
     s:=s-1;
     if s=0 then s:=30;
     lun_day_edit.text:=_str1(s);
end;

end.
