unit Unit5;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  Tkcdto = class(TForm)
    tin: TComboBox;
    dey: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    label3: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label4: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    next: TButton;
    convert: TButton;
    quit: TButton;
    lun_year: TLabel;
    lun_month_label1: TLabel;
    lun_day: TLabel;
    lun_kc: TLabel;
    new_year: TLabel;
    new_month: TLabel;
    new_day: TLabel;
    new_weekday: TLabel;
    yearedit: TEdit;
    Label11: TLabel;
    defaultyear: TButton;
    systemyear: TButton;
    procedure quitClick(Sender: TObject);
    procedure defaultyearClick(Sender: TObject);
    procedure systemyearClick(Sender: TObject);
    procedure convertClick(Sender: TObject);
    procedure nextClick(Sender: TObject);
    procedure changetin(Sender: TObject);
    procedure changedey(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  kcdto: Tkcdto;
  tin1,dey1,year:integer;
  JD,minJD,maxJD:extended;
  tinok,deyok:boolean;

implementation

{$R *.DFM}

uses
    unit1,unit16,day;

procedure Tkcdto.quitClick(Sender: TObject);
begin
     kcdto.hide;
end;

procedure Tkcdto.defaultyearClick(Sender: TObject);
begin
     kcdto.yearedit.text:=_str1(year_default);
     kcdto.next.enabled:=false;
end;

procedure Tkcdto.systemyearClick(Sender: TObject);
var
   y,m,d:word;
begin
     decodedate(date,y,m,d);
     kcdto.yearedit.text:=_str1(y);
     kcdto.next.enabled:=false;
end;

procedure Tkcdto.convertClick(Sender: TObject);
var
   mm,dd,yy,m,d:integer;
   i:longint;
   leap:boolean;
   s:string;
begin
     year:=_val1(kcdto.yearedit.text);
     if year<-2636 then
     begin
          wrong.messages.caption:='J~-2636~ΥH.';
          wrong.show;
          MessageBeep(MB_ICONEXCLAMATION)
     end
     else
     if not odd(tin1+dey1) then
     begin
          maxJD:=_JD(year,12,31);
          minJD:=_JD(year,1,1);
          i:=tin1;
          while (i mod 12 <> dey1) do i:=i+10;
          JD:=2449030.5+i;
          if year<=1993 then while JD-60>minJD do JD:=JD-60
             else while JD<minJD do JD:=JD+60;
          _invJD(JD,yy,mm,dd);
          kcdto.new_weekday.caption:=_dayofweek(JD);
          kcdto.new_month.caption:=_str1(mm)+' ';
          kcdto.new_day.caption:=_str1(dd)+' ';
          if yy<=0 then s:='e '+_str1(abs(yy-1))+' ~'
             else s:=' '+_str1(yy)+' ~';
          kcdto.new_year.caption:=s;
          if year=year_default then
          begin
               i:=0;
               leap:=false;
               repeat
                     i:=i+1
               until lun_month[i]>JD;
               d:=trunc(JD)-trunc(lun_month[i-1])+1;
               m:=name_month[i-1];
               leap:=m>100;
               if (m mod 100>=10) and (mm<3) then
               begin
                    kcdto.lun_year.caption:=_tin(tin_default-1)+_dey(dey_default-1)+'~';
               end
               else
               begin
                    kcdto.lun_year.caption:=_tin(tin_default)+_dey(dey_default)+'~';
               end;
               kcdto.lun_month_label1.caption:=_name_month(m);
               if m>100 then
                  kcdto.lun_month_label1.font.color:=clred
               else
                  kcdto.lun_month_label1.font.color:=claqua;
               kcdto.lun_day.caption:=_name_day(d)+' ';
               kcdto.lun_kc.caption:=_tin(tin1)+_dey(dey1);
          end
          else
          begin
               s:='';
               kcdto.lun_year.caption:=s;
               kcdto.lun_month_label1.caption:=s;
               kcdto.lun_day.caption:=s;
               kcdto.lun_kc.caption:=_tin(tin1)+_dey(dey1);
          end;
          kcdto.next.enabled:=true;
     end
     else
     begin
          s:='sb';
          kcdto.lun_year.caption:=s;
          kcdto.lun_month_label1.caption:=s;
          kcdto.lun_day.caption:=s;
          kcdto.lun_kc.caption:=s;
          kcdto.new_weekday.caption:=s;
          kcdto.new_month.caption:=s;
          kcdto.new_day.caption:=s;
          kcdto.new_year.caption:=s;
          wrong.messages.caption:='zզXäXk!';
          wrong.visible:=true;
          MessageBeep(MB_ICONEXCLAMATION)
     end;
end;

procedure Tkcdto.nextClick(Sender: TObject);
var
   i,mm,dd,yy,m,d:integer;
   leap:boolean;
   s:string;
begin
     JD:=JD+60;
     if JD<=maxJD then
     begin
          _invJD(JD,yy,mm,dd);
          kcdto.new_weekday.caption:=_dayofweek(JD);
          kcdto.new_month.caption:=_str1(mm)+' ';
          kcdto.new_day.caption:=_str1(dd)+' ';
          if yy<=0 then s:='e '+_str1(abs(yy-1))+' ~'
             else s:=' '+_str1(yy)+' ~';
          kcdto.new_year.caption:=s;
          if year=year_default then
          begin
               i:=0;
               leap:=false;
               repeat
                     i:=i+1
               until lun_month[i]>JD;
               d:=trunc(JD)-trunc(lun_month[i-1])+1;
               m:=name_month[i-1];
               leap:=m>100;
               if (m mod 100>=10) and (mm<3) then
               begin
                    kcdto.lun_year.caption:=_tin(tin_default-1)+_dey(dey_default-1)+'~';
               end
               else
               begin
                    kcdto.lun_year.caption:=_tin(tin_default)+_dey(dey_default)+'~';
               end;
               kcdto.lun_month_label1.caption:=_name_month(m);
               if m>100 then
                  kcdto.lun_month_label1.font.color:=clred
               else
                  kcdto.lun_month_label1.font.color:=claqua;
               kcdto.lun_day.caption:=_name_day(d)+' ';
               kcdto.lun_kc.caption:=_tin(tin1)+_dey(dey1);
          end
          else
          begin
               s:='';
               kcdto.lun_year.caption:=s;
               kcdto.lun_month_label1.caption:=s;
               kcdto.lun_day.caption:=s;
               kcdto.lun_kc.caption:=_tin(tin1)+_dey(dey1);
          end;
          kcdto.next.enabled:=true;
     end
     else kcdto.next.enabled:=false;
end;

procedure Tkcdto.changetin(Sender: TObject);
begin
     tin1:=kcdto.tin.itemindex;
     kcdto.next.enabled:=false;
     tinok:=true;
     if tinok and deyok then kcdto.convert.enabled:=true;
end;

procedure Tkcdto.changedey(Sender: TObject);
begin
     dey1:=kcdto.dey.itemindex;
     kcdto.next.enabled:=false;
     deyok:=true;
     if tinok and deyok then kcdto.convert.enabled:=true;
end;

end.
