unit Unit8;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ColMemo, Buttons;

type
  Toutmonth = class(TForm)
    up: TButton;
    down: TButton;
    quit: TButton;
    print: TButton;
    Memo: TColorMemo;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure start(Sender: TObject);
    procedure upClick(Sender: TObject);
    procedure downClick(Sender: TObject);
    procedure quitClick(Sender: TObject);
    procedure printClick(Sender: TObject);
    procedure kk(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  outmonth: Toutmonth;
  nm:integer;

implementation

{$R *.DFM}

uses
    day,printers,unit14;

procedure Toutmonth.start(Sender: TObject);
var
   s:string;
begin
     s:=defaultdir+'~m1.tmp';
     outmonth.memo.lines.loadfromfile(s);
     outmonth.up.enabled:=false;
     outmonth.down.enabled:=true;
     str(outmonth.Memo.Font.size,s);
     outmonth.label1.caption:='rjpG'+s;
     nm:=1;
end;

procedure Toutmonth.upClick(Sender: TObject);
var
   s:string;
begin
     nm:=nm-1;
     s:=defaultdir+'~m'+_str1(nm)+'.tmp';
     outmonth.memo.lines.loadfromfile(s);
     outmonth.down.enabled:=true;
     if nm=1 then outmonth.up.enabled:=false;
end;

procedure Toutmonth.downClick(Sender: TObject);
var
   s:string;
begin
     nm:=nm+1;
     outmonth.up.enabled:=true;
     s:=defaultdir+'~m'+_str1(nm)+'.tmp';
     outmonth.memo.lines.loadfromfile(s);
     if nm=12 then outmonth.down.enabled:=false;
end;

procedure Toutmonth.quitClick(Sender: TObject);
begin
     nm:=1;
     outmonth.hide;
end;

procedure Toutmonth.printClick(Sender: TObject);
var
   f:textfile;
   i:integer;
begin
     ConfirmPrint.ShowModal;
     if ppp then
     begin
          screen.cursor:=crHourGlass;
          assignprn(f);
          rewrite(f);
          Printer.Canvas.Font.Name:='Courier New';
          Printer.Canvas.Font.Size:=outmonth.memo.font.size;
          for i:=0 to 24 do writeln(f,outmonth.memo.lines[i]);
          closefile(f);
          ppp:=false;
          screen.cursor:=crDefault;
     end;
end;


procedure Toutmonth.kk(Sender: TObject);
var
   f:integer;
   s:string;
begin
     f:=Outmonth.memo.font.size;
     if f>1 then
     begin
        f:=f-1;
        Outmonth.memo.font.size:=f;
        str(f,s);
        outmonth.label1.caption:='rjpG'+s;
     end;
end;

procedure Toutmonth.BitBtn1Click(Sender: TObject);
var
   f:integer;
   s:string;
begin
     f:=Outmonth.memo.font.size;
     if f<72 then
     begin
        f:=f+1;
        Outmonth.memo.font.size:=f;
        str(f,s);
        outmonth.label1.caption:='rjpG'+s;
     end;
end;

end.
